import QtQuick 2.5
import com.zuragon.ViCANdo 1.0
import QtQuick.Controls 1.4

Rectangle {
    id: rectangle1
    width: 500
    height: 200
    color: "#E0E0E0"

    //***** Specify the file directory you want to read a file or write a file first *****/
    property string file_path:  "C:/ViCANdocs/Examples/vicando_qml_rw_file/qml/"

    Label {
        id: label_title
        x: 30
        y: 30
        width: 600
        height: 17
        wrapMode: Text.Wrap
        font.pixelSize: 14
        text: qsTr("Using QML to read a text file and then write the contents to another text file.")
    }
    Button {
        id: read_txt_file_button
        x: 30
        anchors.top: label_title.bottom
        anchors.topMargin: 5
        text: qsTr("Read TXT file")
        onClicked: {
            text_content.text = project.readTextFile( file_path + "file_to_read.txt")
        }
    }
    Text {
        id: text_content
        x: 30
        width: 444
        height: 36
        text: qsTr("Here will display the content of the file you have read.")
        font.pixelSize: 12
        wrapMode: Text.Wrap
        anchors.top: read_txt_file_button.bottom
        anchors.topMargin: 5
    }

    Button {
        id: test_write_txt_file_button
        x: 30
        text: qsTr("Write TXT file")
        anchors.top: text_content.bottom
        anchors.topMargin: 5
        onClicked: {
            var output_file_name = "output.txt"
            project.writeTextFile( file_path + output_file_name, text_content.text)
            text_content.text = "Finished writing. File: " + file_path + output_file_name + " is created."
        }
    }
	 
	Button {
        id: test_append_txt_file_button
        x: 30
        text: qsTr("Append text to file")
        anchors.top: test_write_txt_file_button.bottom
        anchors.topMargin: 5
        onClicked: {
            var output_file_name = "output.txt"
            project.appendToTextFile( file_path + output_file_name, "This is the text to be appended to the file.")
            text_content.text = "Finished appending. File: " + file_path + output_file_name + " is appended with the text."
        }
    }

}


